Package edu.sc.seis.TauP

# Class TauP_VelocityMerge

java.lang.Object
edu.sc.seis.TauP.TauP_Tool
edu.sc.seis.TauP.TauP_VelocityMerge

    public class TauP_VelocityMerge
    extends TauP_Tool

Replaces part of a velocity model with layers from another.

- ## Field Summary

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Tool

  `DEBUG, expert, GMT, JSON, outFileBase, outForms, outputFormat, SVG, TEXT, toolProps, verbose, writer`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TauP_VelocityMerge()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `destroy()` |
  `void` | `init()` |
  `protected java.lang.String[]` | `parseCmdLineArgs​(java.lang.String[] origArgs)` |
  `void` | `printUsage()` |
  `void` | `start()` |

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Tool

  `dashEquals, endGmtAndCleanUp, getOutFile, getOutFileBase, getOutFileExtension, getOutputFormat, getWriter, parseCommonCmdLineArgs, printNoComprendoArgs, printScriptBeginning, printStdUsageHead, printStdUsageTail, setOutFileBase, setOutFileExtension, setOutputFormat, setWriter, toolNameFromClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TauP_VelocityMerge

    public TauP_VelocityMerge()

- ## Method Details

  - ### start

    public void start() throws SlownessModelException, TauModelException, VelocityModelException, java.io.IOException
    Specified by:
      `start` in class `TauP_Tool`
    Throws:
      `SlownessModelException`
      `TauModelException`
      `VelocityModelException`
      `java.io.IOException`

  - ### parseCmdLineArgs

    protected java.lang.String[] parseCmdLineArgs​(java.lang.String[] origArgs) throws java.io.IOException
    Specified by:
      `parseCmdLineArgs` in class `TauP_Tool`
    Throws:
      `java.io.IOException`

  - ### init

    public void init() throws TauPException
    Specified by:
      `init` in class `TauP_Tool`
    Throws:
      `TauPException`

  - ### destroy

    public void destroy() throws TauPException
    Specified by:
      `destroy` in class `TauP_Tool`
    Throws:
      `TauPException`

  - ### printUsage

    public void printUsage()
    Specified by:
      `printUsage` in class `TauP_Tool`